package com.zjrs.zwnw.psam.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;
import com.zjrs.zwnw.psam.dto.PsamXfycDTO;

import jakarta.servlet.http.HttpServletResponse;

public interface SjtjBPO extends IBPO {
    //保存单位信息
    public AjaxResponse kzttjList();

    public void exportKzttjList(HttpServletResponse res);

    public PageResult getShsltjList(PsamKglDTO dto, int page, int rows);

    public void exportShsltjList(PsamKglDTO dto, HttpServletResponse res);

    public PageResult getJgtjList(PsamKglDTO dto, int page, int rows);

    public PageResult getJgtjDetailList(PsamKglDTO dto, int page, int rows);

    public void exportJgtjList(PsamKglDTO dto, HttpServletResponse res);

    public PageResult getShtjList(PsamKglDTO dto, int page, int rows);

    public void exportShtjList(PsamKglDTO dto, HttpServletResponse res);

    public PageResult getShtjDetailList(PsamKglDTO dto, int page, int rows);

    public PageResult getRqList(PsamKglDTO dto, int page, int rows);

    public void exportRqList(PsamKglDTO dto, HttpServletResponse res);

    public PageResult getXfyckList(PsamXfycDTO dto, int page, int rows);

    public PageResult getXfmxList(PsamKglDTO dto, int page, int rows);
}
